--- title: Get the apiKeyId slug: '38' canonical_url: https://docs.coveo.com/en/38/ collection: manage-an-organization source_format: adoc --- # Get the apiKeyId The `apiKeyId` is a required parameter in any Coveo REST API operation that interacts with a single specific API key. Use the [Get all API keys for this organization](https://platform.cloud.coveo.com/docs?urls.primaryName=AuthorizationServer#/Api%20Keys/rest_organizations_paramId_apikeys_get) operation to find the `apiKeyId` of an API key in a specific [Coveo organization](https://docs.coveo.com/en/185/). **Request template** ```http GET https://platform.cloud.coveo.com/rest/organizations//apikeys HTTP/1.1 Accept: application/json Authorization: Bearer ``` In the request path, replace `` with [your organization ID](https://docs.coveo.com/en/148/). In the `Authorization` HTTP header, replace `` with an access token (API key or OAuth2 token) that grants you the privilege to view API keys in the target organization. See [Get your Coveo access token](https://docs.coveo.com/en/123/) and [Get the privileges of an access token](https://docs.coveo.com/en/109/). > **Note** > > It's impossible to authenticate this call using an API key, since an API key can't have the privilege to edit or view other API keys. The body of a successful response contains information about all API keys in the target Coveo organization, if not already done. To get the `apiKeyId`, check the response body for the `displayName` or `description` of the desired API key. The `apiKeyId` is located under the `id` property of that API key object. > **Note** > > The only time you can get the full unmasked `value` property of an API key is when you initially [create that key](https://docs.coveo.com/en/1718#create-an-api-key). ## Sample request **Getting information about all API keys in a specific Coveo organization** ```http GET https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organizationg8tp8wu3/apikeys HTTP/1.1 Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` **Successful response - 200 OK** ```json [ { "id": "wduuqg3ip2c3i3gpopapxhcgxe", <1> "value": "**********-****-****-****-********1b3e", "organizationId": "mycoveocloudv2organization", "displayName": "My Source API Key", "description": "An API key to edit and view sources.", ... }, ... ] ``` <1> The `apiKeyId` of the `My Source API Key` API key.